Moving required CMake version from 2.8.4 to 2.8.8
[u/mrichter/AliRoot.git] / ITS / AliITSOnlineSPDscanMultiple.h
index d471f24..c461a27 100644 (file)
@@ -13,12 +13,11 @@ class AliITSOnlineSPDscanMultiple :  public AliITSOnlineSPDscan {
 
  public:
   AliITSOnlineSPDscanMultiple();
-  AliITSOnlineSPDscanMultiple(Char_t *fileName);
+  AliITSOnlineSPDscanMultiple(const Char_t *fileName, Bool_t readFromGridFile=kFALSE);
   AliITSOnlineSPDscanMultiple(const AliITSOnlineSPDscanMultiple& scan);
   virtual ~AliITSOnlineSPDscanMultiple();
   AliITSOnlineSPDscanMultiple& operator=(const AliITSOnlineSPDscanMultiple& scan);
 
-  //  virtual void   ReadFromTObjArray(TObjArray *arr);
   virtual UInt_t AddScanStep();
 
   void    SetDacId(Int_t val);
@@ -28,9 +27,6 @@ class AliITSOnlineSPDscanMultiple :  public AliITSOnlineSPDscan {
   Int_t   GetDacValue(UInt_t nsi);
 
 
- protected:
-
-  ClassDef(AliITSOnlineSPDscanMultiple,1)
-    };
+};
 
 #endif